/*Data Access Library. v. 1.0b.
 *Connection event. Support class of DA Library.
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**Use this class to track connection events.
 *@see ConnectionListener
 *@see DatastoreJDBC#addConnectionListener
 *@see DatastoreJDBC#removeConnectionListener
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
 */
public class ConnectionEvent extends ParameterEvent {

    public ConnectionEvent(Object src,String acnN) {
	super(src,acnN);
    }

    public ConnectionEvent(Object src,String acnN,Object param) {
	super(src,acnN,param);
    }
}
