/*Data Access Library. v. 1.0b.
 *Connection listener adapter. DA library support class.
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**Facilitates implementation of connection listeners.
 *@see ConnectionEvent
 *@see ConnectionListener
 *@see DatastoreJDBC#addConnectionListener
 *@see DatastoreJDBC#removeConnectionListener
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
 */
public class ConnectionListenerAdapter extends ParameterListenerAdapter implements ConnectionListener {

    public void cancelled(ConnectionEvent ev) {
    }

    public void committed(ConnectionEvent ev) {
    }

    public void connected(ConnectionEvent ev) {
    }

    public void disconnected(ConnectionEvent ev) {
    }

    public void executedSQL(ConnectionEvent ev) {
    }

    public void rolledback(ConnectionEvent ev) {
    }

    public ConnectionListenerAdapter() {
    }
}
