/*Data Access Library. v. 1.0b.
 *Manager complete event.  Support class of DA Library.
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**Event class for manager events.
 *@see ManagerCompleteListener
 *@see DAManager#addManagerCompleteListener
 *@see DAManager#removeManagerCompleteListener
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
*/
public class ManagerCompleteEvent extends ParameterEvent {

    public ManagerCompleteEvent(Object src,String acnName) {
	super(src,acnName);
    }

    public ManagerCompleteEvent(Object src,String acnName,Object param) {
	super(src,acnName,param);
    }
}
