/*Data Access Library. v. 1.0b.
 *Persistent object event listener adapter. 
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**Adapter class to facilitate persistent object event listener implementation.
 *@see POCompleteEvent
 *@see PersistentObject#addPOCompleteListener
 *@see PersistentObject#removePOCompleteListener
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
*/
public class POCompleteListenerAdapter extends ParameterListenerAdapter implements POCompleteListener {

    public void cancelComplete(POCompleteEvent ev) {
    }

    public void retrieveComplete(POCompleteEvent ev) {
    }

    public void SPCComplete(POCompleteEvent ev) {
    }

    public void updateComplete(POCompleteEvent ev) {
    }

    public POCompleteListenerAdapter() {
    }
}
