/*Data Access Library. v. 1.0b.
 *Parameter Listener interface.
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**Interface for data access actions listeners.
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
*/
public interface ParameterListener extends java.util.EventListener {

    public void actionCompleted(ParameterEvent ev);
    public abstract void exceptionOccurred(ParameterEvent ev);
}
