import java.sql.*;
import java.util.*;
import JProjects.eab.data.*;
import java.io.Serializable;


class SampleDataId extends PODataId {

  /* SampleDataId Attributes and methods
  */
  // This attribute is mapped to int_val.
  private int iintVal;
    boolean modified[] = { false  };

  //----------------------------------------------------------------
  // Construcors
  //----------------------------------------------------------------
  public SampleDataId() {}
  public SampleDataId(int aintVal  ) {
    iintVal = aintVal;
  }
  void _setIntVal(int aIntVal) {
    iintVal = aIntVal;
  }
  //----------------------------------------------------------------
  // clone - returns a copy of the object.
  //----------------------------------------------------------------
  public Object clone() {
    SampleDataId obj = new SampleDataId();
    obj.iintVal = iintVal;
    return obj;
  }
//----------------------------------------------------------------
// equals - compares itself with another object.
//----------------------------------------------------------------
  public boolean equals(Object anObject) {
    if ( !(anObject instanceof SampleDataId) ) return false;
  SampleDataId aSampleDataId = (SampleDataId)anObject;
    if (iintVal != aSampleDataId.iintVal ) {
      return false;
    }
    return true;
  }
  public Object[] getAttributes() {
    Object[] o = {  new Integer(getIntVal())
    };
    return (o);
  }
  public String[] getAttributeStrings() {
    String[] s = { String.valueOf(getIntVal())
    };
    return (s);
  }
  //----------------------------------------------------------------
  // Display methods
  //----------------------------------------------------------------
  public String toString(String aSeparator) {
    return ( String.valueOf(getIntVal())
    );
  }
  public int getIntVal() { return iintVal; }
  public boolean isIntValNullable() { return false; }
  public void setIntVal(int aIntVal) {
    modified[0] = true;
    iintVal = aIntVal;
    setModified(true);
  }
  public void setModified(boolean enable) {
    if ( !enable ) {
      for(int i=0; i < modified.length; i++) modified[i] = false;
    }
    super.setModified(enable);
  }

}
