/*Data Access Library. v. 1.0b.
 *Data Access Map. 
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;
import java.sql.SQLException;

/**This interface defines method that do mapping between ResultSet columns and
 *PersistentObject's fields. Data Access Builder generates implementation of this
 *interface for each concrete subclass of PersistentObject.
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
*/
public abstract interface DAMap  {

    public abstract void putResultSetInto(DataAccessObject tgt, java.sql.ResultSet rs, boolean saveStream) throws DAException, SQLException;
}
