/*Data Access Library. v. 1.0b.
 *Data Access Object interface. 
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**This interface defines some usefull methods common to core DA Library classes.
 *@see PersistentObject
 *@see PODataId
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
*/
public interface DataAccessObject {
    public abstract void addPropertyChangeListener(java.beans.PropertyChangeListener l);
    public abstract Object getAttributes()[];
    public abstract String getAttributeStrings()[];
    public abstract boolean isModified();
    public abstract void removePropertyChangeListener(java.beans.PropertyChangeListener l);
    public abstract void setModified(boolean flag);
    public abstract void setObjectsDatastore(DatastoreJDBC objD);
    public abstract DatastoreJDBC getObjectsDatastore();
}
