/*Data Access Library. v. 1.0b.
 *Manager complete listener.
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**Interface for manager event listeners.
 *@see ManagerCompleteEvent
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
*/
public interface ManagerCompleteListener extends ParameterListener {

    public abstract void itemsModified(ManagerCompleteEvent ev);
    public abstract void selectComplete(ManagerCompleteEvent ev);
    public abstract void openComplete(ManagerCompleteEvent ev);
    public abstract void prepareOpenComplete(ManagerCompleteEvent ev);
    public abstract void closeComplete(ManagerCompleteEvent ev);
    public abstract void fetchComplete(ManagerCompleteEvent ev);
    public abstract void fillComplete(ManagerCompleteEvent ev);
    public abstract void deleteFetchedComplete(ManagerCompleteEvent ev);
    public abstract void updateFetchedComplete(ManagerCompleteEvent ev);
    public abstract void cancelComplete(ManagerCompleteEvent ev);
}
