/*Data Access Library. v. 1.0b.
 *Persistent object event. 
 *AUTHOR:  Alexander Jaremenko <jarem@isb.gomel.by>
 *RELEASE DATE:  02/01/1999
 */

package JProjects.eab.data;

/**Persistent object's method complete event. Used in asynchronous model of
 *data access.
 *@see POCompleteListener
 *@see PersistentObject#addPOCompleteListener
 *@see PersistentObject#removePOCompleteListener
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@isb.gomel.by">&lt jarem@isb.gomel.by &gt</a></address>
*/
public class POCompleteEvent extends ParameterEvent {

    public POCompleteEvent(Object src,String acnN) {
	super(src,acnN);
    }

    public POCompleteEvent(Object src,String acnN,Object param) {
	super(src,acnN,param);
    }

}
