import java.sql.*;
import java.util.*;
import JProjects.eab.data.*;
import java.io.Serializable;


class SampleJoinDataId extends PODataId {

  /* SampleJoinDataId Attributes and methods
  */
  // This attribute is mapped to key1.
  private int ikey1;
  // This attribute is mapped to key2.
  private int ikey2;
    boolean modified[] = { false  , false  };

  //----------------------------------------------------------------
  // Construcors
  //----------------------------------------------------------------
  public SampleJoinDataId() {}
  public SampleJoinDataId(int akey1  , int akey2  ) {
    ikey1 = akey1;
    ikey2 = akey2;
  }
  void _setKey1(int aKey1) {
    ikey1 = aKey1;
  }
  void _setKey2(int aKey2) {
    ikey2 = aKey2;
  }
  //----------------------------------------------------------------
  // clone - returns a copy of the object.
  //----------------------------------------------------------------
  public Object clone() {
    SampleJoinDataId obj = new SampleJoinDataId();
    obj.ikey1 = ikey1;
    obj.ikey2 = ikey2;
    return obj;
  }
//----------------------------------------------------------------
// equals - compares itself with another object.
//----------------------------------------------------------------
  public boolean equals(Object anObject) {
    if ( !(anObject instanceof SampleJoinDataId) ) return false;
  SampleJoinDataId aSampleJoinDataId = (SampleJoinDataId)anObject;
    if (ikey1 != aSampleJoinDataId.ikey1 ) {
      return false;
    }
    if (ikey2 != aSampleJoinDataId.ikey2 ) {
      return false;
    }
    return true;
  }
  public Object[] getAttributes() {
    Object[] o = {  new Integer(getKey1())
    , new Integer(getKey2())
    };
    return (o);
  }
  public String[] getAttributeStrings() {
    String[] s = { String.valueOf(getKey1())
    ,String.valueOf(getKey2())
    };
    return (s);
  }
  //----------------------------------------------------------------
  // Display methods
  //----------------------------------------------------------------
  public String toString(String aSeparator) {
    return ( String.valueOf(getKey1())
    +aSeparator + String.valueOf(getKey2())
    );
  }
  public int getKey1() { return ikey1; }
  public int getKey2() { return ikey2; }
  public boolean isKey1Nullable() { return false; }
  public boolean isKey2Nullable() { return false; }
  public void setKey1(int aKey1) {
    modified[0] = true;
    ikey1 = aKey1;
    setModified(true);
  }
  public void setKey2(int aKey2) {
    modified[1] = true;
    ikey2 = aKey2;
    setModified(true);
  }
  public void setModified(boolean enable) {
    if ( !enable ) {
      for(int i=0; i < modified.length; i++) modified[i] = false;
    }
    super.setModified(enable);
  }

}
